"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getQpqRuntimeResourceName = exports.getConfigRuntimeResourceName = void 0;
const quidproquo_core_1 = require("quidproquo-core");
const getConfigRuntimeResourceName = (resourceName, qpqConfig, resourceType = '') => {
    const service = quidproquo_core_1.qpqCoreUtils.getApplicationModuleName(qpqConfig);
    const environment = quidproquo_core_1.qpqCoreUtils.getApplicationModuleEnvironment(qpqConfig);
    const feature = quidproquo_core_1.qpqCoreUtils.getApplicationModuleFeature(qpqConfig);
    if (feature) {
        return `${resourceName}-${service}-${environment}-${feature}`;
    }
    return `${resourceName}-${service}-${environment}`;
};
exports.getConfigRuntimeResourceName = getConfigRuntimeResourceName;
const getQpqRuntimeResourceName = (resourceName, qpqConfig, resourceType = '') => {
    const name = (0, exports.getConfigRuntimeResourceName)(resourceName, qpqConfig, resourceType);
    return `${name}-qpq`;
};
exports.getQpqRuntimeResourceName = getQpqRuntimeResourceName;
